<?php
/**
 *
 * @package Luzuk
 */

if(get_theme_mod('luzuk_them_premium_ourfeatureshmp_section_disable') != 'on' ){
	
	?>
	<section id="ht-our-featured-section" class="ht-section">  
		<?php 
		if( get_theme_mod('sec_ourpetssectionTpadding',true) ) {
			$sec_ourpetssectionTpadding = 'padding-top:'.esc_attr(get_theme_mod('sec_ourpetssectionTpadding')).';';
		}
		if( get_theme_mod('sec_ourpetssectionBpadding',true) ) {
			$sec_ourpetssectionBpadding = 'padding-bottom:'.esc_attr(get_theme_mod('sec_ourpetssectionBpadding')).';';
		}
		if( get_theme_mod('sec_ourpetssectionLpadding',true) ) {
			$sec_ourpetssectionLpadding = 'padding-left:'.esc_attr(get_theme_mod('sec_ourpetssectionLpadding')).';';
		}
		if( get_theme_mod('sec_ourpetssectionRpadding',true) ) {
			$sec_ourpetssectionRpadding = 'padding-right:'.esc_attr(get_theme_mod('sec_ourpetssectionRpadding')).';';
		}
		?>		 
		<div class="lightbox wow flipInY" style="<?php echo esc_attr($sec_ourpetssectionTpadding); ?>" "<?php echo esc_attr($sec_ourpetssectionBpadding); ?>" "<?php echo esc_attr($sec_ourpetssectionLpadding); ?>" "<?php echo esc_attr($sec_ourpetssectionRpadding); ?>">
		<?php if( get_theme_mod('featurestopcolor_button_display','show' ) == 'show') :
									?>
			<div class="topcolor-box"></div>

			<?php endif ?>
			<div class="wow fadeInUp" data-wow-duration="0s">
				<?php
				$showStatic = true;
				for( $i = 1; $i < 3; $i++ ){
					$url = get_theme_mod('luzuk_them_ourfeatureshmp_page_url_'.$i, '#');
					$link = get_theme_mod('luzuk_them_ourfeatureshmp_page_link'.$i);
					$luzuk_them_ourfeatureshmp_page_id = get_theme_mod('luzuk_them_ourfeatureshmp_page_icon'.$i); 
					if(!empty($luzuk_them_ourfeatureshmp_page_id)){
						$showStatic = false;
						break;
					} 
				}
				$luzuk_them_ourfeatureshmp_title = get_theme_mod('luzuk_them_ourfeatureshmp_title', 'Our Packages');
				$luzuk_them_ourfeatureshmp_sub_title = get_theme_mod('luzuk_them_ourfeatureshmp_sub_title', 'There are many variations of passages of Lorem Ipsum available, but the majority have suffered alteration in some form, by injected humour, or randomised words.');
				?>
				
			

			<?php if($luzuk_them_ourfeatureshmp_title){ ?>
				<div class="col-md-6 col-md-offset-3 ht-section-title-tagline">					
					
					<h2 class="ht-section-title lz-ourfeatureshmp-heading">
						<?php
						if(!empty($luzuk_them_ourfeatureshmp_title))	{
							echo ($luzuk_them_ourfeatureshmp_title);
						} ?>
					</h2> 
					<div class="clearfix"></div>
					<div class="titlebor"></div>
					
				</div>
				<?php }?>
					<div class="clearfix"></div>
				<div class="col-md-6 col-md-offset-3 lz-ourfeatureshmp-subheading text-center">
						<?php if($luzuk_them_ourfeatureshmp_sub_title){
							echo ($luzuk_them_ourfeatureshmp_sub_title);
						}?>
					</div>

				<div class="clearfix"></div>
				
			</div>
			<div class="container">

				<div class="row">
					
					<div class="ourfeatureshmp-post-wrap" >
						<?php
						$cols = get_theme_mod('luzuk_them_ourfeatureshmp_npp_count', 2);
						$cols++;
							// echo '$cold: '.$cols;
						switch($cols){
							case 1:
							$colCls = 'col-md-12 col-sm-12 col-xs-12';
							break;
							case 2:
							$colCls = 'col-md-6 col-sm-6 col-xs-12';
							break;
							case 3:
							case 5:
							case 6:
							case 9:
							$colCls = 'col-md-4 col-sm-6 col-xs-12';
							break;

							case 4:
							case 7:
							case 8:
							case 10:
							case 11:
							case 12:
							$colCls = 'col-md-3 col-sm-6 col-xs-12';
							break;

							default: 
							$colCls = 'col-md-4 col-sm-6 col-xs-12';
							break;
						}
						$icons = array(1=>'heart', 2=>'star', 3=>'flash', 4=>'bell',5=>'heart', 6=>'star', 7=>'flash', 8=>'bell');
						?>
						<div class="row ourfeatureshmp-post-boxes">
							<?php
							for( $i = 1; $i <= $cols; $i++ ){
								if($showStatic === false){
									$url = get_theme_mod('luzuk_them_ourfeatureshmp_page_url_'.$i, '#');

									$luzuk_them_ourfeatureshmp_page_title = get_theme_mod('luzuk_them_ourfeatureshmp_page_title_'.$i, 'Honeymoon Package');
									$luzuk_them_ourfeatureshmp_page_description = get_theme_mod('luzuk_them_ourfeatureshmp_page_description_'.$i, 'Phasellus viverra nulla ut metus varius laoreet. Quisque rutrum. Aenean imperdiet. Etiam ultricies nisi vel augue. Curabitur ullamcorper ultricies nisi. Nam eget dui. Etiam rhoncus. Maecenas tempus, tellus eget condimentum rhoncus, sem quam semper libero.');

									$luzuk_them_ourfeatureshmp_page_id = get_theme_mod('luzuk_them_ourfeatureshmp_page'.$i); 
									$luzuk_them_ourfeatureshmp_page_icon = get_theme_mod('luzuk_them_ourfeatureshmp_page_icon'.$i);
									if($luzuk_them_ourfeatureshmp_page_icon){

										?>
										<div class="<?php echo $colCls;?>  wow zoomIn" data-wow-duration="2s">
											<div class="complete-featurebox">
											<figure class="pc-ser-box">
												<img src="<?php echo esc_url($luzuk_them_ourfeatureshmp_page_icon); ?>" class="img-responcive" />
												<figcaption></figcaption>
												<a href="#"></a>
											</figure>
											<div class="homepage-featured-content">
												<h3 class="title"><?php echo $luzuk_them_ourfeatureshmp_page_title; ?></h3>
												<p class="post"><?php echo $luzuk_them_ourfeatureshmp_page_description; ?></p>
												
												<?php if( get_theme_mod('welcome_area_button','show' ) == 'show') :
												?>
												<?php
												$welcomeareabutton = get_theme_mod('welcomeareabutton', 'BOOK NOW'); 
												?> 
													<div class="clearfix"></div>
												<div class="booknow-btn">
													<a class="ream" href="<?php echo esc_url(!empty($url)?$url:'#');?>" >
														<span><?php echo ($welcomeareabutton);  ?> <i class="fa fa-caret-right" aria-hidden="true"></i></span> 
													</a>
												</div>
											<?php endif ?>
												<div class="clearfix"></div>
											</div>
										<div class="clearfix"></div>
									</div>
										</div>
										<?php

									}
								}else{?>
									<div class="<?php echo $colCls;?>  wow zoomIn" data-wow-duration="2s">
										<div class="complete-featurebox">
										<figure class="pc-ser-box our-team">
											<img src="<?php echo esc_html(get_template_directory_uri()); ?>/images/pakeges.jpg" class="img-responcive" />
											<figcaption></figcaption>
											<a href="#"></a>
										</figure>
										<div class="homepage-featured-content">
											<h3 class="title">Honeymoon Package</h3>
											<p class="post">Phasellus viverra nulla ut metus varius laoreet. Quisque rutrum. Aenean imperdiet. Etiam ultricies nisi vel augue.</p>
										
										<?php if( get_theme_mod('welcome_area_button','show' ) == 'show') :
												?>
												<?php
												$welcomeareabutton = get_theme_mod('welcomeareabutton', 'BOOK NOW'); 
												?> 
													<div class="clearfix"></div>
												<div class="booknow-btn">
													<a class="ream" href="<?php echo esc_url(!empty($url)?$url:'#');?>" >
														<span><?php echo ($welcomeareabutton);  ?> <i class="fa fa-caret-right" aria-hidden="true"></i></span> 
													</a>
												</div>
											<?php endif ?>
											<div class="clearfix"></div>
										</div>
											<div class="clearfix"></div>
										</div>
									</div>
								<?php }

							}?>
							<div class="clearfix"></div>
						</div>
					</div>
					<div class="clearfix"></div>
				</div>
			</div>
			<div class="clearfix"></div>
		</div>

	</section> 
	<script>
		jQuery.noConflict();
		$(function(){
			function homepagefeaturedcontentHeight(){
				var ht = 0;
				$('section#ht-our-featured-section .homepage-featured-content').each(function(i){
					var tHt = $(this).height();
					if(ht<tHt){
						ht=tHt;
					}
				});
				$('section#ht-our-featured-section .homepage-featured-content').height(ht+'px');
			}
			homepagefeaturedcontentHeight();
		});
		$( window ).resize(function(){
			homepagefeaturedcontentHeight();
		});
	</script>
<?php } 